Index: projets/BCCCC/doc/package-list
===================================================================
--- projets/BCCCC/doc/package-list	(revision 0)
+++ projets/BCCCC/doc/package-list	(revision 9)
@@ -0,0 +1,6 @@
+org.ccc.bcccc.client
+org.ccc.bcccc.client.areas
+org.ccc.bcccc.client.areas.fields
+org.ccc.bcccc.client.panels
+org.ccc.bcccc.server
+org.ccc.bcccc.shared
Index: projets/BCCCC/src/org/ccc/bcccc/client/panels/EditPanel.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/client/panels/EditPanel.java	(revision 8)
+++ projets/BCCCC/src/org/ccc/bcccc/client/panels/EditPanel.java	(revision 9)
@@ -32,7 +32,7 @@
 import org.ccc.bcccc.client.areas.RecordParticipantsNumberArea;
 import org.ccc.bcccc.client.areas.RecordNameArea;
 import org.ccc.bcccc.client.areas.RecordPersonsArea;
-import org.ccc.bcccc.client.areas.RecordProjectField;
+import org.ccc.bcccc.client.areas.RecordProjectArea;
 import org.ccc.bcccc.client.areas.RecordTypesArea;
 import org.ccc.bcccc.client.areas.RecordReportsArea;
 import org.ccc.bcccc.shared.K;
@@ -48,7 +48,11 @@
 import com.smartgwt.client.widgets.layout.VLayout;
 
 /**
- * The Class ViewAndEditTerrainRecordPanel.
+ * The Class ViewAndEditTerrainRecordPanel : panneau d'édition d'une fiche
+ * 
+ * Permet d'éditer tous les paramètres d'une fiche. 
+ * 
+ * Le panneau est constitué de plusieurs zones 'Area' elles même constituées de champs 'fields' multipliable en fonction de la zone
  */
 public class EditPanel extends VLayout {
 
@@ -79,48 +83,51 @@
 	private ButtonItem validateVAEButton;
 
 	/** The name field. */
-	private RecordNameArea nameField;
+	private RecordNameArea nameArea;
 
 	/** The project field. */
-	private RecordProjectField projectField;
+	private RecordProjectArea projectArea;
 
 	/** The description field. */
-	private RecordDescriptionArea descriptionField;
+	private RecordDescriptionArea descriptionArea;
 
 	/** The date field. */
-	private RecordPlaceArea placeField;
+	private RecordPlaceArea placeArea;
 	
 	/** The date field. */
-	private RecordDateArea dateField;
+	private RecordDateArea dateArea;
 
 	/** The number of participants field. */
-	private RecordParticipantsNumberArea numberOfParticipantsField;
+	private RecordParticipantsNumberArea numberOfParticipantsArea;
 
 	/** The participants field. */
-	private RecordPersonsArea personsField;
+	private RecordPersonsArea personsArea;
 
 	/** The types field. */
-	private RecordTypesArea typesField;
+	private RecordTypesArea typesArea;
 
 	/** The dispositifs field. */
-	private RecordDispositifsArea dispositifsField;
+	private RecordDispositifsArea dispositifsArea;
 
 	/** The data field. */
-	private RecordDataArea dataField;
+	private RecordDataArea dataArea;
 
 	/** The documentation field. */
-	private RecordDocumentsArea documentationField;
+	private RecordDocumentsArea documentationArea;
 
 	/** The report field. */
-	private RecordReportsArea reportField;
+	private RecordReportsArea reportArea;
 
 	/** The publication field. */
-	private RecordPublicationsArea publicationField;
+	private RecordPublicationsArea publicationArea;
 
+	/**
+	 * Permet d'ouvrir le panneau de visionage avec la fiche en cours d'édition. Les modifications ne sont pas perdues (sauf si une autre fiche est ouverte)
+	 */
 	private ButtonItem viewVAEButton;
 
 	/**
-	 * Inits the.
+	 * Initialize une seule fois les widgets, la 2e partie de la méthode pré-rempli les champs avec la fiche sélectionnée
 	 */
 	public void init() {
 		this.hide();
@@ -135,25 +142,23 @@
 			saveVAEButton.addClickHandler(new com.smartgwt.client.widgets.form.fields.events.ClickHandler() {
 				@Override
 				public void onClick(com.smartgwt.client.widgets.form.fields.events.ClickEvent event) {
-					//					final String ID = viewAndEditForm.getValueAsString(K.ID);
-					//					if (ID == null || ID.trim().length() == 0) return;
 
-					record.record.setInfoFields(nameField.getValue(), 
-							projectField.getValue(), 
-							placeField.getValue(),
-							dateField.getDate(), 
-							descriptionField.getValue(),
+					record.record.setInfoFields(nameArea.getValue(), 
+							projectArea.getValue(), 
+							placeArea.getValue(),
+							dateArea.getDate(), 
+							descriptionArea.getValue(),
 							"???");
 
-					record.record.setDetailFields(Integer.parseInt(numberOfParticipantsField.getValue()), 
-							typesField.getValuesAsStringArray(), 
+					record.record.setDetailFields(Integer.parseInt(numberOfParticipantsArea.getValue()), 
+							typesArea.getValuesAsStringArray(), 
 							new ArrayList<String>(),
-							personsField.getValues(),
-							dispositifsField.getValues(),
-							documentationField.getValues(), 
-							dataField.getValues(),
-							reportField.getValues(),
-							publicationField.getValues());
+							personsArea.getValues(),
+							dispositifsArea.getValues(),
+							documentationArea.getValues(), 
+							dataArea.getValues(),
+							reportArea.getValues(),
+							publicationArea.getValues());
 
 					System.out.println("Call updateRecord: "+record.record.uniq_id+", "+record.record);
 					Services.getMain().updateRecord(record.record.uniq_id, record.record, new AsyncCallback<Boolean>() {
@@ -242,23 +247,24 @@
 			viewAndEditForm.setTitleOrientation(TitleOrientation.LEFT);
 			viewAndEditForm.setMargin(10);
 
-			nameField = new RecordNameArea(this);
-			projectField = new RecordProjectField(this);	
-			descriptionField = new RecordDescriptionArea(this);
-			placeField = new RecordPlaceArea(this);
-			dateField = new RecordDateArea(this, "Date", false, true, null);
-			numberOfParticipantsField = new RecordParticipantsNumberArea(this, "Nombre de participants");
+			nameArea = new RecordNameArea(this);
+			projectArea = new RecordProjectArea(this);	
+			descriptionArea = new RecordDescriptionArea(this);
+			placeArea = new RecordPlaceArea(this);
+			dateArea = new RecordDateArea(this, "Date", false, true, null);
+			numberOfParticipantsArea = new RecordParticipantsNumberArea(this, "Nombre de participants");
 
-			personsField = new RecordPersonsArea(this);
-			typesField = new RecordTypesArea(this);
+			personsArea = new RecordPersonsArea(this);
+			typesArea = new RecordTypesArea(this);
 
-			dispositifsField = new RecordDispositifsArea(this, "Dispositifs utilisés");
-			dataField = new RecordDataArea(this,  "Données produites");
-			documentationField = new RecordDocumentsArea(this, "Documentation");
-			reportField = new RecordReportsArea(this,  "Rapports");
-			publicationField = new RecordPublicationsArea(this, "Publications produites");
+			dispositifsArea = new RecordDispositifsArea(this, "Dispositifs utilisés");
+			dataArea = new RecordDataArea(this,  "Données produites");
+			documentationArea = new RecordDocumentsArea(this, "Documentation");
+			reportArea = new RecordReportsArea(this,  "Rapports");
+			publicationArea = new RecordPublicationsArea(this, "Publications produites");
 		}
 
+		// on vient du browser
 		if (BCCCC.doubleClickedRecord != null) { // load record informations
 			System.out.println("Reloading viewAndEdit record... "+BCCCC.doubleClickedRecord.uniq_id);
 			Services.getMain().getRecord(BCCCC.doubleClickedRecord.uniq_id, new AsyncCallback<TerrainRecordAndRights>() {
@@ -289,37 +295,37 @@
 					viewVAEButton.setEndRow(false);
 					addMember(viewAndEditForm);
 
-					nameField.setValue(record.record.name);
-					projectField.setValue(record.record.project);
-					descriptionField.setValue(record.record.short_description);
+					nameArea.setValue(record.record.name);
+					projectArea.setValue(record.record.project);
+					descriptionArea.setValue(record.record.short_description);
 
-					placeField.setValue(record.record.place);
-					dateField.setValue(record.record.date);
-					numberOfParticipantsField.setValue(record.record.numberOfParticipants);
+					placeArea.setValue(record.record.place);
+					dateArea.setValue(record.record.date);
+					numberOfParticipantsArea.setValue(record.record.numberOfParticipants);
 
-					personsField.setValues(record.record.persons);
-					typesField.setValues(record.record.types);
-					dispositifsField.setValues(record.record.dispositifs);
-					dataField.setValues(record.record.supports);
-					documentationField.setValues(record.record.documentations);
-					reportField.setValues(record.record.reports);
-					publicationField.setValues(record.record.publications);
+					personsArea.setValues(record.record.persons);
+					typesArea.setValues(record.record.types);
+					dispositifsArea.setValues(record.record.dispositifs);
+					dataArea.setValues(record.record.supports);
+					documentationArea.setValues(record.record.documentations);
+					reportArea.setValues(record.record.reports);
+					publicationArea.setValues(record.record.publications);
 
 					addMember(viewAndEditForm);
-					addMember(nameField);
-					addMember(projectField);
-					addMember(descriptionField);
-					addMember(placeField);
-					addMember(dateField);
-					addMember(numberOfParticipantsField);
+					addMember(nameArea);
+					addMember(projectArea);
+					addMember(descriptionArea);
+					addMember(placeArea);
+					addMember(dateArea);
+					addMember(numberOfParticipantsArea);
 
-					addMember(typesField);
-					addMember(personsField);
-					addMember(dispositifsField);
-					addMember(dataField);
-					addMember(documentationField);
-					addMember(reportField);
-					addMember(publicationField);
+					addMember(typesArea);
+					addMember(personsArea);
+					addMember(dispositifsArea);
+					addMember(dataArea);
+					addMember(documentationArea);
+					addMember(reportArea);
+					addMember(publicationArea);
 					show();
 				}
 			});
Index: projets/BCCCC/src/org/ccc/bcccc/client/GreetingServiceAsync.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/client/GreetingServiceAsync.java	(revision 8)
+++ projets/BCCCC/src/org/ccc/bcccc/client/GreetingServiceAsync.java	(revision 9)
@@ -80,15 +80,6 @@
 	void getMyRecords(AsyncCallback<ArrayList<TerrainRecord>> callback); // List all user's records
 	
 	/**
-	 * Gets the records with simple critera.
-	 *
-	 * @param critera the critera
-	 * @param callback the callback
-	 * @return the records with simple critera
-	 */
-	void getRecordsWithSimpleCritera(HashMap<String, String> critera, AsyncCallback<ArrayList<TerrainRecord>> callback); // List records with a simple critera
-	
-	/**
 	 * Gets the records with complex critera.
 	 *
 	 * @param critera the critera
Index: projets/BCCCC/src/org/ccc/bcccc/client/GreetingService.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/client/GreetingService.java	(revision 8)
+++ projets/BCCCC/src/org/ccc/bcccc/client/GreetingService.java	(revision 9)
@@ -34,7 +34,7 @@
 public interface GreetingService extends RemoteService {
 	
 	/**
-	 * Starts the user session
+	 * Starts the user session : register the HTTP session and check if user is logged
 	 *
 	 * @return the string
 	 * @throws IllegalArgumentException the illegal argument exception
@@ -51,44 +51,36 @@
 	boolean logIn(String login, String password);
 	
 	/**
-	 * Log out.
+	 * Log out the user.
 	 *
 	 * @return the boolean
 	 */
 	Boolean logOut();
 	
 	/**
-	 * Checks if is logged.
+	 * Checks if the user is logged.
 	 *
 	 * @return the boolean
 	 */
 	Boolean isLogged();
 	
 	/**
-	 * Gets the records.
+	 * Gets the all the records that are published. If the user is admin then return all records created.
 	 *
 	 * @return the records
 	 */
 	ArrayList<TerrainRecord> getRecords();
-	
+		
 	/**
-	 * Gets the records with simple critera.
-	 *
-	 * @param critera the critera
-	 * @return the records with simple critera
-	 */
-	ArrayList<TerrainRecord> getRecordsWithSimpleCritera(HashMap<String, String> critera);
-	
-	/**
 	 * Gets the records with complex critera.
 	 *
-	 * @param critera the critera
-	 * @return the records with complex critera
+	 * @param critera the critera as a hashmap of critera
+	 * @return the found records
 	 */
 	ArrayList<TerrainRecord> getRecordsWithComplexCritera(HashMap<String, String> critera);
 	
 	/**
-	 * Creates the record.
+	 * Creates the record for a user.
 	 *
 	 * @param content the content
 	 * @return the boolean
@@ -96,7 +88,7 @@
 	Boolean createRecord(TerrainRecord content);
 	
 	/**
-	 * Gets the record.
+	 * Gets the record using its uniq ID.
 	 *
 	 * @param ID the id
 	 * @return the record
@@ -104,7 +96,7 @@
 	TerrainRecordAndRights getRecord(Long ID);
 	
 	/**
-	 * Delete record.
+	 * Delete record using its uniq ID. The record is deleted only if the user is the owner or is admin.
 	 *
 	 * @param ID the id
 	 * @return the boolean
@@ -112,7 +104,7 @@
 	Boolean deleteRecord(Long ID);
 	
 	/**
-	 * Update record.
+	 * Update a record.
 	 *
 	 * @param ID the id
 	 * @param content the content
@@ -121,14 +113,14 @@
 	Boolean updateRecord(Long ID, TerrainRecord content);
 	
 	/**
-	 * Gets the my records.
+	 * Gets the user records.
 	 *
 	 * @return the my records
 	 */
 	ArrayList<TerrainRecord> getMyRecords();
 	
 	/**
-	 * Sets the validate record value.
+	 * Sets the validate record value. Called to publish or un-publish a record
 	 *
 	 * @param ID the id
 	 * @param newValue the new value
@@ -137,11 +129,17 @@
 	boolean setValidateRecordValue(Long ID, Boolean newValue);
 	
 	/**
-	 * Checks if is admin.
+	 * Checks if user is admin.
 	 *
 	 * @return the boolean
 	 */
 	Boolean isAdmin();
 	
+	/**
+	 * Checks if a user owns a record
+	 * 
+	 * @param ID
+	 * @return
+	 */
 	Boolean isOwner(Long ID);
 }
Index: projets/BCCCC/src/org/ccc/bcccc/client/areas/RecordDataArea.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/client/areas/RecordDataArea.java	(revision 8)
+++ projets/BCCCC/src/org/ccc/bcccc/client/areas/RecordDataArea.java	(revision 9)
@@ -47,8 +47,6 @@
 	 * @param name the name
 	 */
 	public RecordDataArea(EditPanel panel, String name) {
-		//super(panel, name, true, false, Data.values);
-		//form.setNumCols(7); // show 3 item per line
 		this.setWidth100();
 		
 		Label title = new Label();
Index: projets/BCCCC/src/org/ccc/bcccc/server/GreetingServiceImpl.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/server/GreetingServiceImpl.java	(revision 8)
+++ projets/BCCCC/src/org/ccc/bcccc/server/GreetingServiceImpl.java	(revision 9)
@@ -52,9 +52,6 @@
 	/** The records. */
 	static RecordsDB records = new RecordsDB();
 	
-	/** The users db. */
-	static UsersDB usersDB = new UsersDB();
-
 	/* (non-Javadoc)
 	 * @see org.ccc.bcccc.client.GreetingService#createRecord(org.ccc.bcccc.shared.TerrainRecord)
 	 */
@@ -363,23 +360,6 @@
 		return false;
 	}
 
-	/* (non-Javadoc)
-	 * @see org.ccc.bcccc.client.GreetingService#getRecordsWithSimpleCritera(java.util.HashMap)
-	 */
-	@Override
-	public ArrayList<TerrainRecord> getRecordsWithSimpleCritera(HashMap<String, String> critera) {
-		log.info("getRecordWithSimpleCritera");
-		ArrayList<TerrainRecord> searched_records = new ArrayList<TerrainRecord>();
-
-		for (Long recordKey : records.keySet()) {
-			if (Math.random() > 0.7) {
-				searched_records.add(records.get(recordKey));
-			}
-		}
-
-		return searched_records;
-	}
-
 	/**
 	 * load records from database.
 	 *
@@ -420,7 +400,7 @@
 	public boolean logIn(String login, String mdp) {
 		log.info("logIn: "+login);
 		// TODO: replace with a shibboleth access
-		if (!usersDB.test(login, mdp)) {
+		if (!UsersDB.test(login, mdp)) {
 			log.warning("logIn: wrong password/login: "+login);
 			return false;
 		}
Index: projets/BCCCC/src/org/ccc/bcccc/server/BuildSha512Hex.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/server/BuildSha512Hex.java	(revision 0)
+++ projets/BCCCC/src/org/ccc/bcccc/server/BuildSha512Hex.java	(revision 9)
@@ -0,0 +1,26 @@
+package org.ccc.bcccc.server;
+
+import org.apache.commons.codec.digest.DigestUtils;
+
+/**
+ * Utility to build SHA512 hexadecimal code from a String 
+ * 
+ * needs the commons-codec-1.10.jar library to compile
+ * 
+ * @author mdecorde
+ *
+ */
+public class BuildSha512Hex {
+	/**
+	 * 
+	 * @param args one String to be encoded
+	 */
+	public static void main(String args[]) {
+		if (args.length == 0) {
+			
+			System.out.println("Usage: java -jar BuildSha512Hex.jar password");
+		} else {
+			System.out.println(DigestUtils.sha512Hex(args[0]));
+		}
+	}
+}

Index: projets/BCCCC/src/org/ccc/bcccc/shared/Person.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/shared/Person.java	(revision 8)
+++ projets/BCCCC/src/org/ccc/bcccc/shared/Person.java	(revision 9)
@@ -2,7 +2,12 @@
 
 import java.io.Serializable;
 
-
+/**
+ * Une personne ayant participée à la réalisation du terrain
+ * 
+ * @author mdecorde
+ *
+ */
 public class Person implements Serializable, IHTMLprintable, ITerrainField {
 
 	private static final long serialVersionUID = -2728524027663587687L;
Index: projets/BCCCC/src/org/ccc/bcccc/shared/Dispositif.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/shared/Dispositif.java	(revision 8)
+++ projets/BCCCC/src/org/ccc/bcccc/shared/Dispositif.java	(revision 9)
@@ -21,7 +21,7 @@
 import java.io.Serializable;
 
 /**
- * The Class Dispositif.
+ * The Class Dispositif: dispositif utilisé pour réaliser un terrain
  */
 public class Dispositif implements Serializable, IHTMLprintable, ITerrainField {
 	
Index: projets/BCCCC/src/org/ccc/bcccc/shared/IHTMLprintable.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/shared/IHTMLprintable.java	(revision 8)
+++ projets/BCCCC/src/org/ccc/bcccc/shared/IHTMLprintable.java	(revision 9)
@@ -1,5 +1,11 @@
 package org.ccc.bcccc.shared;
 
+/**
+ * les terrains sont printables et toutes les informations qui composent le terrain
+ * 
+ * @author mdecorde
+ *
+ */
 public interface IHTMLprintable {
 	public String toHTML();
 }
Index: projets/BCCCC/war/bcccc/F88BB1D053B8C298F4BD5F51D2FD4098.gwt.rpc
===================================================================
--- projets/BCCCC/war/bcccc/F88BB1D053B8C298F4BD5F51D2FD4098.gwt.rpc	(revision 0)
+++ projets/BCCCC/war/bcccc/F88BB1D053B8C298F4BD5F51D2FD4098.gwt.rpc	(revision 9)
@@ -0,0 +1,44 @@
+com.google.gwt.i18n.shared.impl.DateRecord, true, true, true, true, com.google.gwt.i18n.shared.impl.DateRecord/3375188634, 3375188634
+com.google.gwt.user.client.rpc.IncompatibleRemoteServiceException, true, true, true, true, com.google.gwt.user.client.rpc.IncompatibleRemoteServiceException/3936916533, 3936916533
+com.google.gwt.user.client.rpc.RpcTokenException, true, true, false, false, com.google.gwt.user.client.rpc.RpcTokenException/2345075298, 2345075298
+com.google.gwt.user.client.rpc.XsrfToken, false, false, true, true, com.google.gwt.user.client.rpc.XsrfToken/4254043109, 4254043109
+com.smartgwt.client.util.LogicalDate, true, true, true, true, com.smartgwt.client.util.LogicalDate/1452805037, 1452805037
+com.smartgwt.client.util.LogicalTime, true, true, true, true, com.smartgwt.client.util.LogicalTime/644891758, 644891758
+java.lang.Boolean, true, true, true, true, java.lang.Boolean/476441737, 476441737
+java.lang.Exception, true, false, true, false, java.lang.Exception/1920171873, 1920171873
+java.lang.IllegalArgumentException, true, true, false, false, java.lang.IllegalArgumentException/1755012560, 1755012560
+java.lang.Long, false, false, true, true, java.lang.Long/4227064769, 4227064769
+java.lang.Number, false, false, true, false, java.lang.Number/300033342, 300033342
+java.lang.NumberFormatException, true, true, false, false, java.lang.NumberFormatException/3305228476, 3305228476
+java.lang.RuntimeException, true, false, true, false, java.lang.RuntimeException/515124647, 515124647
+java.lang.String, true, true, true, true, java.lang.String/2004016611, 2004016611
+[Ljava.lang.String;, true, true, true, true, [Ljava.lang.String;/2600011424, 2600011424
+java.lang.Throwable, true, false, true, false, java.lang.Throwable/2953622131, 2953622131
+java.sql.Date, true, true, true, true, java.sql.Date/730999118, 730999118
+java.sql.Time, true, true, true, true, java.sql.Time/1816797103, 1816797103
+java.sql.Timestamp, true, true, true, true, java.sql.Timestamp/3040052672, 3040052672
+java.util.ArrayList, true, true, true, true, java.util.ArrayList/4159755760, 4159755760
+java.util.Arrays$ArrayList, true, true, true, true, java.util.Arrays$ArrayList/2507071751, 2507071751
+java.util.Collections$EmptyList, true, true, true, true, java.util.Collections$EmptyList/4157118744, 4157118744
+java.util.Collections$SingletonList, true, true, true, true, java.util.Collections$SingletonList/1586180994, 1586180994
+java.util.Date, true, true, true, true, java.util.Date/3385151746, 3385151746
+java.util.HashMap, false, false, true, true, java.util.HashMap/1797211028, 1797211028
+java.util.LinkedHashMap, false, false, true, true, java.util.LinkedHashMap/3008245022, 3008245022
+java.util.LinkedList, true, true, true, true, java.util.LinkedList/3953877921, 3953877921
+java.util.Stack, true, true, true, true, java.util.Stack/1346942793, 1346942793
+java.util.Vector, true, true, true, true, java.util.Vector/3057315478, 3057315478
+org.ccc.bcccc.client.GreetingService, false, false, false, false, _, 1281457674
+org.ccc.bcccc.shared.Data, true, true, true, true, org.ccc.bcccc.shared.Data/299459428, 299459428
+[Lorg.ccc.bcccc.shared.Data;, true, true, true, true, [Lorg.ccc.bcccc.shared.Data;/3541387031, 3541387031
+org.ccc.bcccc.shared.Dispositif, true, true, true, true, org.ccc.bcccc.shared.Dispositif/2079781335, 2079781335
+[Lorg.ccc.bcccc.shared.Dispositif;, true, true, true, true, [Lorg.ccc.bcccc.shared.Dispositif;/2247151552, 2247151552
+org.ccc.bcccc.shared.DocumentUnit, true, true, true, true, org.ccc.bcccc.shared.DocumentUnit/1769601531, 1769601531
+[Lorg.ccc.bcccc.shared.DocumentUnit;, true, true, true, true, [Lorg.ccc.bcccc.shared.DocumentUnit;/1820140400, 1820140400
+org.ccc.bcccc.shared.Person, true, true, true, true, org.ccc.bcccc.shared.Person/36285423, 36285423
+[Lorg.ccc.bcccc.shared.Person;, true, true, true, true, [Lorg.ccc.bcccc.shared.Person;/1077220676, 1077220676
+org.ccc.bcccc.shared.Publication, true, true, true, true, org.ccc.bcccc.shared.Publication/325472833, 325472833
+[Lorg.ccc.bcccc.shared.Publication;, true, true, true, true, [Lorg.ccc.bcccc.shared.Publication;/1292698735, 1292698735
+org.ccc.bcccc.shared.Report, true, true, true, true, org.ccc.bcccc.shared.Report/1971810881, 1971810881
+[Lorg.ccc.bcccc.shared.Report;, true, true, true, true, [Lorg.ccc.bcccc.shared.Report;/317565048, 317565048
+org.ccc.bcccc.shared.TerrainRecord, true, true, true, true, org.ccc.bcccc.shared.TerrainRecord/1034002427, 1034002427
+org.ccc.bcccc.shared.TerrainRecordAndRights, true, true, false, false, org.ccc.bcccc.shared.TerrainRecordAndRights/771912597, 771912597
Index: projets/BCCCC/war/bcccc/7DC8DF9CC7A6F99B76C6ED3442B217DF.gwt.rpc
===================================================================
--- projets/BCCCC/war/bcccc/7DC8DF9CC7A6F99B76C6ED3442B217DF.gwt.rpc	(revision 0)
+++ projets/BCCCC/war/bcccc/7DC8DF9CC7A6F99B76C6ED3442B217DF.gwt.rpc	(revision 9)
@@ -0,0 +1,42 @@
+com.google.gwt.i18n.shared.impl.DateRecord, true, true, true, true, com.google.gwt.i18n.shared.impl.DateRecord/3375188634, 3375188634
+com.google.gwt.user.client.rpc.IncompatibleRemoteServiceException, true, true, true, true, com.google.gwt.user.client.rpc.IncompatibleRemoteServiceException/3936916533, 3936916533
+com.google.gwt.user.client.rpc.RpcTokenException, true, true, false, false, com.google.gwt.user.client.rpc.RpcTokenException/2345075298, 2345075298
+com.google.gwt.user.client.rpc.XsrfToken, false, false, true, true, com.google.gwt.user.client.rpc.XsrfToken/4254043109, 4254043109
+com.smartgwt.client.util.LogicalDate, true, true, true, true, com.smartgwt.client.util.LogicalDate/1452805037, 1452805037
+com.smartgwt.client.util.LogicalTime, true, true, true, true, com.smartgwt.client.util.LogicalTime/644891758, 644891758
+java.lang.Boolean, true, true, true, true, java.lang.Boolean/476441737, 476441737
+java.lang.Exception, true, false, true, false, java.lang.Exception/1920171873, 1920171873
+java.lang.IllegalArgumentException, true, true, false, false, java.lang.IllegalArgumentException/1755012560, 1755012560
+java.lang.Long, false, false, true, true, java.lang.Long/4227064769, 4227064769
+java.lang.Number, false, false, true, false, java.lang.Number/300033342, 300033342
+java.lang.NumberFormatException, true, true, false, false, java.lang.NumberFormatException/3305228476, 3305228476
+java.lang.RuntimeException, true, false, true, false, java.lang.RuntimeException/515124647, 515124647
+java.lang.String, true, true, true, true, java.lang.String/2004016611, 2004016611
+[Ljava.lang.String;, true, true, true, true, [Ljava.lang.String;/2600011424, 2600011424
+java.lang.Throwable, true, false, true, false, java.lang.Throwable/2953622131, 2953622131
+java.sql.Date, true, true, true, true, java.sql.Date/730999118, 730999118
+java.sql.Time, true, true, true, true, java.sql.Time/1816797103, 1816797103
+java.sql.Timestamp, true, true, true, true, java.sql.Timestamp/3040052672, 3040052672
+java.util.ArrayList, true, true, true, true, java.util.ArrayList/4159755760, 4159755760
+java.util.Arrays$ArrayList, true, true, true, true, java.util.Arrays$ArrayList/2507071751, 2507071751
+java.util.Collections$EmptyList, true, true, true, true, java.util.Collections$EmptyList/4157118744, 4157118744
+java.util.Collections$SingletonList, true, true, true, true, java.util.Collections$SingletonList/1586180994, 1586180994
+java.util.Date, true, true, true, true, java.util.Date/3385151746, 3385151746
+java.util.HashMap, false, false, true, true, java.util.HashMap/1797211028, 1797211028
+java.util.LinkedHashMap, false, false, true, true, java.util.LinkedHashMap/3008245022, 3008245022
+java.util.LinkedList, true, true, true, true, java.util.LinkedList/3953877921, 3953877921
+java.util.Stack, true, true, true, true, java.util.Stack/1346942793, 1346942793
+java.util.Vector, true, true, true, true, java.util.Vector/3057315478, 3057315478
+org.ccc.bcccc.client.GreetingService, false, false, false, false, _, 1281457674
+org.ccc.bcccc.shared.Data, true, true, true, true, org.ccc.bcccc.shared.Data/299459428, 299459428
+[Lorg.ccc.bcccc.shared.Data;, true, true, true, true, [Lorg.ccc.bcccc.shared.Data;/3541387031, 3541387031
+org.ccc.bcccc.shared.Dispositif, true, true, true, true, org.ccc.bcccc.shared.Dispositif/2079781335, 2079781335
+[Lorg.ccc.bcccc.shared.Dispositif;, true, true, true, true, [Lorg.ccc.bcccc.shared.Dispositif;/2247151552, 2247151552
+org.ccc.bcccc.shared.DocumentUnit, true, true, true, true, org.ccc.bcccc.shared.DocumentUnit/1769601531, 1769601531
+[Lorg.ccc.bcccc.shared.DocumentUnit;, true, true, true, true, [Lorg.ccc.bcccc.shared.DocumentUnit;/1820140400, 1820140400
+org.ccc.bcccc.shared.Publication, true, true, true, true, org.ccc.bcccc.shared.Publication/325472833, 325472833
+[Lorg.ccc.bcccc.shared.Publication;, true, true, true, true, [Lorg.ccc.bcccc.shared.Publication;/1292698735, 1292698735
+org.ccc.bcccc.shared.Report, true, true, true, true, org.ccc.bcccc.shared.Report/1971810881, 1971810881
+[Lorg.ccc.bcccc.shared.Report;, true, true, true, true, [Lorg.ccc.bcccc.shared.Report;/317565048, 317565048
+org.ccc.bcccc.shared.TerrainRecord, true, true, true, true, org.ccc.bcccc.shared.TerrainRecord/1034002427, 1034002427
+org.ccc.bcccc.shared.TerrainRecordAndRights, true, true, false, false, org.ccc.bcccc.shared.TerrainRecordAndRights/771912597, 771912597
